Bug 118155 - iptables-save leave out the --icmp-type argument
iptables-save leave out the --icmp-type argument
Status: CLOSED DUPLICATE of bug 111999
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iptables (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-12 11:34 EST by Bobby Clark
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:01:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bobby Clark 2004-03-12 11:34:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
iptables-save leaves out the --icmp-type argument when exporting a
firewall ruleset containing icmp matching.


Version-Release number of selected component (if applicable):
iptables-1.2.8-12

How reproducible:
Always

Steps to Reproduce:
1. iptables -A EKU-INPUT -p icmp -m icmp --icmp-type any -j ACCEPT
2. iptables-save

    

Actual Results:  The following rule was exported
iptables -A EKU-INPUT -p icmp -m icmp any -j ACCEPT

Expected Results:  iptables -A EKU-INPUT -p icmp -m icmp --icmp-type
any -j ACCEPT

Additional info:

executing "service iptables save" save the incorrect ruleset to
/etc/sysconfig/iptables 

After this the iptables service will not start leaving the machine
with no firewall protection when it is expected to be there.
Comment 1 Thomas Woerner 2004-03-15 06:02:46 EST

*** This bug has been marked as a duplicate of 111999 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:01:57 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.